Page MenuHomePhabricator

Add monolingual language code phn (Phoenician)
Open, NormalPublic

Description

Please add the language code phn to the list of language codes supported for monolingual text values.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 16 2017, 2:35 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Comment from lang com?

Lydia_Pintscher triaged this task as Normal priority.Jun 11 2017, 5:28 PM
Mbch331 added a subscriber: Mbch331.Aug 3 2017, 6:03 PM

@GerardM @jhsoby Can one of you give the official opinion of the Lang com?

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 3 2017, 6:03 PM
Mahir256 edited subscribers, added: PKM; removed: PokestarFan.Apr 15 2018, 11:18 PM
PKM added a comment.Apr 16 2018, 7:49 PM

Comment: Each of the ~68 cities listed in the enwiki article List of Phoenician cities would benefit from a <name> in language=phn statement.

Don't hold your breath ..

PKM added a comment.EditedApr 16 2018, 10:33 PM

@Esc3300 ... for the language to be created, or the names? I have every intention of adding the names myself.

Hoi,
There is no problem with this language. It is not a macro language. Go with it.. PS it does use the Phoenician script.. Maybe that needs inclusion in the language tools but that is no prerequisite.
Thanks,

GerardM
Mbch331 claimed this task.Apr 17 2018, 5:25 AM
Mbch331 moved this task from Backlog to Doing on the good first bug board.

I'll write a patch later today

Change 427434 had a related patch set uploaded (by Mbch331; owner: Mbch331):
[mediawiki/extensions/Wikibase@master] Add monolingual code phn (Phoenician)

https://gerrit.wikimedia.org/r/427434

https://www.wikidata.org/wiki/Wikidata:Project_chat#Phoenician_language: according to the IANA lang tag list, the default script for this language is "Phnx" Phoenician but the example there is given in Latin transcription so shoul de denoted like "gadir"@phn-Latn.

  • To capture this, I believe you should register a lang tag phn-Latn with name eg "Phoenician (Latin transcription)".
  • The tag phn should be used only if you install Phoenician script (alphabet) in the language tools; and somehow direct the user to select "Phoenician (Latin transcription)" if they intend to enter a transliterated label

@VladimirAlexiev, can you please clarify what your comment means in the context of this ticket? Are you opposing the addition of the language code "phn"?

phn means "Phoenician in Phoenician script" but the example given is in Latin script, thus it is phn-Latn.

If Wikidata doesn't make such distinction, add the code phn but I believe open a separate ticket for Script support.

PKM added a comment.Jun 7 2018, 7:58 PM

FWIW, that data I propose to enter is Phoenician in Latin script.

Hoi,
I understand the purpose of Phoenician in Phoenician. Having it in the
Latin script makes no sense to me at all
GerardM

Let me try to summarize to make sure I get it right: We have the language code phn which should be reserved for Phoenician script. We do want to enter it Latin script. There is a code for it (phn-Latn).
So what's the issue with creating phn-Latn? I'd rather mark up the data with the correct code than a wrong one.

Hoi,
The code phn is reserved for the Phoenician language. However, it is not
written in the Latin script. Consequently the question why it should be
accepted in the Latin script is real. What is the point?
Thanks,

GerardM
PKM added a comment.Jan 7 2019, 8:17 PM

Because we have reputable sources that list the Phoenician names for historic places in Latin script (Gades for Cadiz). I want to be able to record this information.

Agree with @PKM: the name is "Gades"@phn-Latn, "Cadiz"@es and I guess "Cadiz"@en.
@Lydia_Pintscher will you name the language "Phoenician (Transliterated)"? The Getty does that, search for Chinese in that page and you'll see eg

		............................ Chinese (transliterated Hanyu Pinyin) (language)
		............................ Chinese (transliterated Pinyin) (language)
		............................ Chinese (transliterated Pinyin without tones) (language)
		............................ Chinese (transliterated Tongyong Pinyin) (language)
		............................ Chinese (transliterated Wade-Giles) (language)

Hoi,
When you transliterate a name of a language typically it is transliterated
for a specific language. It is not that language.even when you know that
the original is transliterated for a specific language.
Thanks

GerardM

Hoi,
The code phn is reserved for the Phoenician language. However, it is not
written in the Latin script. Consequently the question why it should be
accepted in the Latin script is real. What is the point?
Thanks,

GerardM

Yes that's why we're talking about phn-Latn and not phn.

No, it is is phn-Latn when it is used for use by Phoenicians.
Transliteration is different even within a script there are differences
depending for what language it is transliterated.
Thanks,

GerardM

Change 427434 abandoned by Mbch331:
Add monolingual code phn (Phoenician)

Reason:
Still no consensus and code base has changed significantly. Easier to make a new patch if there ever is consensus.

https://gerrit.wikimedia.org/r/427434

"Gades" is in phn-Latn, that's for sure.

@GerardM I don't quite understand your arguments, but you seem to say that transliteration is just useless?
What should be the lang tag of "Gades" in your opinion?

Hoi,
It would still be a word used in the rest of the text. Transliteration
differs depending on the language not on the script conversion.
Thanks,

GerardM
VladimirAlexiev added a comment.EditedMar 20 2019, 7:46 AM

That is false. Gades is a Phoenician word, even if used in an English or Spanish text. The corresponding English word is Cadiz and the Spanish word is Cádiz.

Look for example at http://vocab.getty.edu/page/aat/300198841 (rhyta). "lai t'an chiu pei" is a Chinese word (in Wade-Giles transliteration). Having it in the previous English sentence does not make it an English word.
The corresponding semantic representation is http://vocab.getty.edu/aat/term/1000589090-zh-Latn-wadegile and uses lang tag zh-Latn-wadegile, which is constructed according to IANA rules and indicates the language zh, the script Latn (this is a Latin transliteration, i.e. romanization) and the transliteration variant (wadegiles: there are several more commonly used for Chinese)

The Wade Giles transliteration of Chinese produces the same result for any roman language, and I expect there are similarly strict rules for transliteration of Phoenician too.

Transliteration result does not depend on the target language, but only on the target script. That's why it's called transliteration not translation.

what's the point (of transliteration)

@GerardM can you please write Gages in phoenician script here?

Hoi,
You say it in your reply. The English word is Cadiz and the Spanish word is
Cádiz. There is no Phoenician in Latin script.
Thanks,

GerardM

There is no Phoenician in Latin script.

That is your opinion only. I cannot write Phoenician script just like you cannot, but thanks to @PKM I can write and pronounce the name of that city in a script that I know: Gades.

But @GerardM you always know better, don't you?
Better than Getty's linguists? As you can see at http://vocab.getty.edu/queries#Count_Terms_by_Language, they got 26k Chinese labels in hieroglyphic script, and 3*15k in various transliterations: but these labels are still in Chinese!
Your opinions are always so strong and true that you don't need to answer other people's questions, it's enough to just repeat your opinions?

Hoi Alexiev,
What you just did is a personal attack. It does not make an argument go
away. It does not help your point of view.

When some linguists take it up on themselves to express a language in other
scripts, they may. It does not change the notion that there is no clear
benefit why we should use Phoenician in the Latin script based on a
transliteration for a language.. PS What Chinese labels because there are
two.
Thanks,

GerardM

It does not make an argument go away.

Your argument has not been substantiated by any info. You just repeat your opinion over and over again, without any elaboration.
You did the same in the previous argument about "award" vs "science award": you claimed that the class "science award" is somehow harmful, without giving any substantiation or example.

Maybe you can understand why your style of argument is aggravating.

The benefit is very clear: if you cannot read or write Phoenician script or don't have such fonts installed, you can still read, write and pronounce a Phoenician word.
For more info, see https://en.wikipedia.org/wiki/Transliteration.

What Chinese labels because there are two.

Not sure what you mean: as the above link shows, Getty AAT has 26k Chinese labels in hieroglyphic script, and 3*15k in various transliterations.

Cheers!

PKM added a comment.Mar 28 2019, 7:29 PM

I'm not sure how many times we have to say "we need to be able to record what is in reliable sources."

"Unless GerardM thinks it is not useful" ;-)

One of the comitments of the Wikimedia Foundation is that we will comply with standards. Vladimir fails to understand that the fact that "Chinese" has been transcribed in hieroglyphs has no bearing on standards. First, Chinese is probably to be understood as Mandarin, the script is probably to be understood as Simplified. A circus trick does not make an argument.

As I have repeated all too often, Phoenician transcribed in the Latin script is not standardised and as no Phoenicians ever used the Latin script, it is a fallacy to consider a code for Phoenician with a script added to it as being in compliance with standards.

As to previous arguments used, Vladimir failed to convice why a "science award" was useful in the first place. He used as an argument that "science awards" have a hierarchy of importance but he failed to argue why the bias in these hierarchies is something that Wikidata has to support.. All I heard was "because we can". Yes, we can be biased and yes there is no argument why Phoenician in the Latin script is anything but a transliteration to a language in the same way that Cadiz is not Spanish.
Thanks and let this be the end of this.

@GerardM The IANA language tag list has a subfield Script exactly because languages can be written in different scripts.
Neither you nor I could write a single word in Phoenician script. Yet we could write a Phoenician word in English and be able to read it, and pronounce it approximately correctly.
This is valuable, no matter if you acknowledge it or not.

Phoenician transcribed in the Latin script is not standardised and as no Phoenicians ever used the Latin script

Sorry Gerard, but this argument is idiotic.
Are the LOC rules for transcribing Russian also "non-standard" or useless? https://www.loc.gov/catdir/cpso/romanization/russian.pdf
Do you listen to anyone except your own thoughts?

Thanks and let this be the end of this.

Indeed: if you stop with your pointless arguments, maybe that will let us make some progress, so users like @PKM can record what they see in reliable sources.

Given the abuse, you make no argument that is acceptable. That and you are
wrong.
Thanks,

GerardM